diff --git a/tempest/api/image/v2/test_images_member.py b/tempest/api/image/v2/test_images_member.py
index fe8dd65e6..bbf3a1a33 100644
--- a/tempest/api/image/v2/test_images_member.py
+++ b/tempest/api/image/v2/test_images_member.py
@@ -10,12 +10,15 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
+import testtools
+
 from tempest.api.image import base
 from tempest import test
 
 
 class ImagesMemberTest(base.BaseV2MemberImageTest):
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @test.idempotent_id('5934c6ea-27dc-4d6e-9421-eeb5e045494a')
     def test_image_share_accept(self):
         image_id = self._create_image()
@@ -37,6 +40,7 @@ class ImagesMemberTest(base.BaseV2MemberImageTest):
         self.assertEqual(member['image_id'], image_id)
         self.assertEqual(member['status'], 'accepted')
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @test.idempotent_id('d9e83e5f-3524-4b38-a900-22abcb26e90e')
     def test_image_share_reject(self):
         image_id = self._create_image()
@@ -51,6 +55,7 @@ class ImagesMemberTest(base.BaseV2MemberImageTest):
                                                          status='rejected')
         self.assertNotIn(image_id, self._list_image_ids_as_alt())
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @test.idempotent_id('a6ee18b9-4378-465e-9ad9-9a6de58a3287')
     def test_get_image_member(self):
         image_id = self._create_image()
@@ -67,6 +72,7 @@ class ImagesMemberTest(base.BaseV2MemberImageTest):
         self.assertEqual(image_id, member['image_id'])
         self.assertEqual('accepted', member['status'])
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @test.idempotent_id('72989bc7-2268-48ed-af22-8821e835c914')
     def test_remove_image_member(self):
         image_id = self._create_image()
@@ -81,16 +87,19 @@ class ImagesMemberTest(base.BaseV2MemberImageTest):
                                                      self.alt_tenant_id)
         self.assertNotIn(image_id, self._list_image_ids_as_alt())
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @test.idempotent_id('634dcc3f-f6e2-4409-b8fd-354a0bb25d83')
     def test_get_image_member_schema(self):
         body = self.schemas_client.show_schema("member")
         self.assertEqual("member", body['name'])
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @test.idempotent_id('6ae916ef-1052-4e11-8d36-b3ae14853cbb')
     def test_get_image_members_schema(self):
         body = self.schemas_client.show_schema("members")
         self.assertEqual("members", body['name'])
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @test.idempotent_id('cb961424-3f68-4d21-8e36-30ad66fb6bfb')
     def test_get_private_image(self):
         image_id = self._create_image()
diff --git a/tempest/api/image/v2/test_images_member_negative.py b/tempest/api/image/v2/test_images_member_negative.py
index fa29a92ae..21e66601c 100644
--- a/tempest/api/image/v2/test_images_member_negative.py
+++ b/tempest/api/image/v2/test_images_member_negative.py
@@ -10,6 +10,8 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
+import testtools
+
 from tempest.api.image import base
 from tempest.lib import exceptions as lib_exc
 from tempest import test
@@ -17,6 +19,7 @@ from tempest import test
 
 class ImagesMemberNegativeTest(base.BaseV2MemberImageTest):
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @test.attr(type=['negative'])
     @test.idempotent_id('b79efb37-820d-4cf0-b54c-308b00cf842c')
     def test_image_share_invalid_status(self):
@@ -29,6 +32,7 @@ class ImagesMemberNegativeTest(base.BaseV2MemberImageTest):
                           image_id, self.alt_tenant_id,
                           status='notavalidstatus')
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @test.attr(type=['negative'])
     @test.idempotent_id('27002f74-109e-4a37-acd0-f91cd4597967')
     def test_image_share_owner_cannot_accept(self):
